<wo:Wrapper selectedTabId = "enseignements" selectedItemId = "$selectedItemId">
  <div id = "contenu">
    <fieldset style = "height:87%">
      <div class = "container">
        <!-- Titre -->
        <h2><wo:string value = "$formTitre" /></h2>
        <h3><wo:string value = "$affichageEnseignement" /></h3>
        <wo:conditional condition = "$modeCreation">
          <div class = "row-fluid">
            <div class = "span12"> 
             <wo:CktlPecheTableEnseignants controleur = "$controleur" listeAPs = "$listeAPs" containerParent = "listeEnseignants" typeFiche = "$typeFiche" /> 
            </div>
          </div>
          <br />
        </wo:conditional>
        <wo:AjaxUpdateContainer id = "listeEnseignants">      
        <wo:form name = "repartitionForm" class = "form-horizontal left">
          <table align = "center">
            <tr>
              <td class = "right"> <wo:string value = "$session.localizer.ServiceForm.enseignant" />&nbsp;:</td>
                 
                <wo:if condition ="$isEnseignantBeanNotNull"> 
           			<td colspan = "3">
                  	<b><wo:string value = "$enseignantBean.nom.toUpperCase" />
                  	<wo:string value = "$enseignantBean.prenom" /></b>
                  	&nbsp;(<wo:string value = "$enseignantBean.statut" />)                  	 
                  	&nbsp;Delta:&nbsp;<span class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$enseignantBean.deltaAttribue"/></span>
					</td>
				</wo:if>		
			</tr>
			<tr>                  	
				<wo:if condition ="$isEnseignantBeanVacataire" negate="true"> 
			
				<td class = "right"> <wo:string value = "Composante/Dept" />&nbsp;:</td>
              
              	<td  colspan = "3">
                  	&nbsp;<wo:string value = "$enseignantBean.composante.lcStructure" /> 
                  	&nbsp;-&nbsp;<wo:string value = "$enseignantBean.departement.lcStructure" /><br>
                  	</td>
 				</wo:if> 	
	       </tr>
            	<wo:if condition ="$isEnseignantBeanVacataire">
            <tr>
		         <td class = "right"> <wo:string value = "Composante/Dept" />&nbsp;:</td>
		              
		         <td  colspan = "3">
                    	<wo:if condition = "$affichageUniqueComposanteVacataire">   
                      		<wo:string value = "$structureReferente" />                                                                 
                		</wo:if>
                		<wo:else>
                		<wo:popUpButton list = "$listeComposantesVacataire" item = "$currentStructureReferente" 
                        	 displayString = "$currentStructureReferente.lcStructure" selection = "$enseignantBean.structureReferente" />                
                		</wo:else>
                 </td>		
             </tr> 		
 			    </wo:if> 
           
            <tr>
              <th />
              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                <th class = "param-typeap">
                 <wo:string value = "$currentServiceDetail.composantAP.typeAP.code" />
                </th>
              </wo:repetition>
            </tr>
            <tr>
              <td class = "right">Reste &agrave; r&eacute;partir&nbsp;:</td>
              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                <td class = "param-typeap ">
                 <wo:CktlNumber value = "$nbHeuresResteARepartir" /></td>
              </wo:repetition>
            </tr>
            <tr>
              <td class = "right">Heures prévues&nbsp;:</td>
              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                <td class = "param-typeap">
                <wo:if condition = "$isTypeFichePrevisionnel">
                  <wo:if condition = "$modeCreation">
                   <wo:textfield value = "$currentServiceDetail.heuresPrevues" size = "5" formatter = "$app2DecimalesFormatter"  
                    onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" />
                  </wo:if>
                  <wo:else>
                    <wo:conditional condition = "$isRepartitionCroiseeEtatEnAttente"> 
                     <wo:textfield value = "$currentServiceDetail.heuresPrevues" size = "10" 
                      style = "border-color:#BBD2E1; background-color: #F5FFFA" /> 
                    </wo:conditional>
                    <wo:conditional condition = "$isRepartitionCroiseeEtatEnAttente" negate = "true">
                     <wo:CktlNumber value = "$currentServiceDetail.heuresPrevues" /> </wo:conditional>
                  </wo:else>
                </wo:if>
                <wo:else>
                	<wo:CktlNumber value = "$currentServiceDetail.heuresPrevues" />
                </wo:else>
                </td>
              </wo:repetition>
            </tr>
          	<wo:if condition = "$isTypeFichePrevisionnel" negate = "true">
	            <wo:if condition = "$isEnseignantBeanNotNull">
		           <tr>
		              <td class = "right">Reste &agrave; r&eacute;aliser&nbsp;:</td>
		              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
		                <td class = "param-typeap ">
		                 <wo:CktlNumber value = "$nbHeuresResteARealiser" /></td>
		              </wo:repetition>
		            </tr>
		            <tr>
		              <td class = "right">Heures r&eacute;alis&eacute;es&nbsp;:</td>
		               
		              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
		                <td class = "param-typeap ">
			                <wo:if condition = "$isEnseignantBeanVacataire">
			                  <wo:AjaxObserveField updateContainerID = "heuresAPayer" action = "$majHeuresAPayer">
			                 	<wo:textfield value = "$currentServiceDetail.heuresRealisees" size = "10" 
		                      		style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </wo:AjaxObserveField>
		                    </wo:if>
		                    <wo:if condition = "$isEnseignantBeanVacataire" negate="true">
		                      	<wo:textfield value = "$currentServiceDetail.heuresRealisees" size = "10" 
		                      		style = "border-color:#BBD2E1; background-color: #F5FFFA" />
		                    </wo:if>
	                    </td>
	                      
		              </wo:repetition>
		              
		            </tr>
		            <wo:if condition = "$isEnseignantBeanVacataire">
		            	<tr>
			            	<td class = "right"><wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePeriode" />&nbsp;:</td>
			            	<wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
		                      <td class = "param-typeap"> <wo:popUpButton list = "$listePeriode" item = "$currentPeriode" noSelectionString = "-" displayString = "$currentPeriode.libelle" 
	                        selection = "$currentServiceDetail.toPeriode" /> </td>
		                    </wo:repetition>
	                    </tr>
	                    <wo:AjaxUpdateContainer id = "heuresAPayer" elementName = "tr">
		            	     <wo:if condition = "$autorisation.hasDroitUtilisationSaisieHeuresAPayer">
			                      <td class = "right">
			                        <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresAPayer" />: </label></td>
			                        <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
			                            <td class = "param-typeap"> <wo:textfield id = "heuresAPa" formatter = "$app2DecimalesFormatter" value = "$currentServiceDetail.heuresAPayer" 
				                          onChange = "this.value=this.value.replace('.',',');" size = "10" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </td>
			                        </wo:repetition>
			                    </wo:if>
	                    </wo:AjaxUpdateContainer>
		            </wo:if>
	            </wo:if>
            </wo:if>
            <tr>
              <td></td>
              <wo:conditional condition = "$modeCreation" negate = "true">
                <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                  <wo:if condition = "$isModeRepartCroisee">
                    <td class = "bottompad"> 
                     <wo:popUpButton id = "popUpEtat" list = "$listeEtat" item = "$currentEtat" displayString = "$etat" 
                      selection = "$currentServiceDetail.etat" /> </td>
                  </wo:if>	
                  <wo:else>
                    <td class = "bottompad"></td>
                  </wo:else>
                </wo:repetition>
              </wo:conditional>
            </tr>
            <tr>
              <td class = "right">Commentaire&nbsp;:</td>
              <td colspan = "2" class = "leftpad">
               <wo:text value = "$commentaire" cols = "22" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </td>
            </tr>
          </table>
          <center>
            <wo:CktlSubmitButton type = "validate" text = "$session.localizer.application.boutonEnregistrer" action = "$enregistrerEtRetour" />
            <wo:CktlSubmitButton type = "cancel" text = "$session.localizer.application.boutonAnnuler" action = "$annuler" />
          </center>
        </wo:form>
        </wo:AjaxUpdateContainer>
      </div>
    </fieldset>
  </div>
</wo:Wrapper>